GPU=0

# =========================================================================================

SYN_PATH="/path/to/imagenet_1k/synthesis_directory/"
VAL_DIR="/path/to/imagenet1k/validation"
PROJECT_NAME="Imagenet1K-Seeds"
IPC=10
EXP_NAME="folder_name_of_IPC10"
WANDB_API_KEY="write your api here"

echo "$EXP_NAME"

RAND_AUG="rand-m6-n2-mstd1.0"
# VAL_NAME="$RAND_AUG"
VAL_NAME="wandb experiment name"
STUDENT_ARCH="resnet18"

wandb enabled
wandb online
python /workspace/DELT/evaluation/main.py \
    --wandb-project "$PROJECT_NAME" \
    --wandb-api-key "$WANDB_API_KEY" \
    --val-dir "$VAL_DIR" \
    --syn-data-path "$SYN_PATH$EXP_NAME" \
    --exp-name "$VAL_NAME" \
    --subset "imagenet-1k" \
    --arch-name "resnet18" \
    --use-rand-augment \
    --rand-augment-config "$RAND_AUG" \
    --random-erasing-p 0.0 \
    --factor 2 \
    --num-crop 5 \
    --min-scale-crops 0.25 \
    --max-scale-crops 1.0 \
    --mipc 300 \
    --ipc $((IPC)) \
    --val-ipc 50 \
    --stud-name "$STUDENT_ARCH" \
    --re-epochs 300 \
    --validate \
    --gpu-device $((GPU))
