GPU=0

# =========================================================================================

SYN_PATH="/workspace/data/initialization/imagenet_1k/"
PROJECT_NAME="Imagenet1K-Seeds"
IPC=50
EXP_NAME="IPC100_4K_500_medium"
WANDB_API_KEY="cfec2435ed520fedfd1b71496fdadf55fee5b3a9"

echo "$EXP_NAME"
SEED=3407

RAND_AUG="rand-m6-n2-mstd1.0"
# VAL_NAME="$RAND_AUG"
VAL_NAME="REMOVE_ME_"

wandb enabled
wandb online
python /workspace/DELT/evaluation/main.py \
    --wandb-project "$PROJECT_NAME" \
    --wandb-api-key "$WANDB_API_KEY" \
    --val-dir "/workspace/data/val" \
    --syn-data-path "$SYN_PATH$EXP_NAME" \
    --exp-name "$VAL_NAME" \
    --subset "imagenet-1k" \
    --arch-name "resnet18" \
    --use-rand-augment \
    --rand-augment-config "$RAND_AUG" \
    --random-erasing-p 0.0 \
    --factor 2 \
    --num-crop 5 \
    --min-scale-crops 0.25 \
    --max-scale-crops 1.0 \
    --mipc 300 \
    --ipc $((IPC)) \
    --val-ipc 50 \
    --stud-name "resnet18" \
    --re-epochs 300 \
    --validate \
    --gpu-device $((GPU)) \
    --seed $((SEED))

# =========================================================================================


# SEED=4663
# VAL_NAME="IPC$((IPC)) 4K_500 Medium R18 S$((SEED))"

# wandb enabled
# wandb online
# python /workspace/DELT/evaluation/main.py \
#     --wandb-project "$PROJECT_NAME" \
#     --wandb-api-key "$WANDB_API_KEY" \
#     --val-dir "/workspace/data/val" \
#     --syn-data-path "$SYN_PATH$EXP_NAME" \
#     --exp-name "$VAL_NAME" \
#     --subset "imagenet-1k" \
#     --arch-name "resnet18" \
#     --use-rand-augment \
#     --rand-augment-config "$RAND_AUG" \
#     --random-erasing-p 0.0 \
#     --factor 2 \
#     --num-crop 5 \
#     --min-scale-crops 0.25 \
#     --max-scale-crops 1.0 \
#     --mipc 300 \
#     --ipc $((IPC)) \
#     --val-ipc 50 \
#     --stud-name "resnet18" \
#     --re-epochs 300 \
#     --validate \
#     --gpu-device $((GPU)) \
#     --seed $((SEED))

# # =========================================================================================

# SEED=2897
# VAL_NAME="IPC$((IPC)) 4K_500 Medium R18 S$((SEED))"

# wandb enabled
# wandb online
# python /workspace/DELT/evaluation/main.py \
#     --wandb-project "$PROJECT_NAME" \
#     --wandb-api-key "$WANDB_API_KEY" \
#     --val-dir "/workspace/data/val" \
#     --syn-data-path "$SYN_PATH$EXP_NAME" \
#     --exp-name "$VAL_NAME" \
#     --subset "imagenet-1k" \
#     --arch-name "resnet18" \
#     --use-rand-augment \
#     --rand-augment-config "$RAND_AUG" \
#     --random-erasing-p 0.0 \
#     --factor 2 \
#     --num-crop 5 \
#     --min-scale-crops 0.25 \
#     --max-scale-crops 1.0 \
#     --mipc 300 \
#     --ipc $((IPC)) \
#     --val-ipc 50 \
#     --stud-name "resnet18" \
#     --re-epochs 300 \
#     --validate \
#     --gpu-device $((GPU)) \
#     --seed $((SEED))

# # =========================================================================================

# IPC=10
# EXP_NAME="IPC$((IPC))_4K_500_medium"

# echo "$EXP_NAME"
# SEED=3407


# # VAL_NAME="$RAND_AUG"
# VAL_NAME="IPC$((IPC)) 4K_500 Medium R18 S$((SEED))"

# wandb enabled
# wandb online
# python /workspace/DELT/evaluation/main.py \
#     --wandb-project "$PROJECT_NAME" \
#     --wandb-api-key "$WANDB_API_KEY" \
#     --val-dir "/workspace/data/val" \
#     --syn-data-path "$SYN_PATH$EXP_NAME" \
#     --exp-name "$VAL_NAME" \
#     --subset "imagenet-1k" \
#     --arch-name "resnet18" \
#     --use-rand-augment \
#     --rand-augment-config "$RAND_AUG" \
#     --random-erasing-p 0.0 \
#     --factor 2 \
#     --num-crop 5 \
#     --min-scale-crops 0.25 \
#     --max-scale-crops 1.0 \
#     --mipc 300 \
#     --ipc $((IPC)) \
#     --val-ipc 50 \
#     --stud-name "resnet18" \
#     --re-epochs 300 \
#     --validate \
#     --gpu-device $((GPU)) \
#     --seed $((SEED))

# # =========================================================================================


# SEED=4663
# VAL_NAME="IPC$((IPC)) 4K_500 Medium R18 S$((SEED))"

# wandb enabled
# wandb online
# python /workspace/DELT/evaluation/main.py \
#     --wandb-project "$PROJECT_NAME" \
#     --wandb-api-key "$WANDB_API_KEY" \
#     --val-dir "/workspace/data/val" \
#     --syn-data-path "$SYN_PATH$EXP_NAME" \
#     --exp-name "$VAL_NAME" \
#     --subset "imagenet-1k" \
#     --arch-name "resnet18" \
#     --use-rand-augment \
#     --rand-augment-config "$RAND_AUG" \
#     --random-erasing-p 0.0 \
#     --factor 2 \
#     --num-crop 5 \
#     --min-scale-crops 0.25 \
#     --max-scale-crops 1.0 \
#     --mipc 300 \
#     --ipc $((IPC)) \
#     --val-ipc 50 \
#     --stud-name "resnet18" \
#     --re-epochs 300 \
#     --validate \
#     --gpu-device $((GPU)) \
#     --seed $((SEED))

# # =========================================================================================

# SEED=2897
# VAL_NAME="IPC$((IPC)) 4K_500 Medium R18 S$((SEED))"

# wandb enabled
# wandb online
# python /workspace/DELT/evaluation/main.py \
#     --wandb-project "$PROJECT_NAME" \
#     --wandb-api-key "$WANDB_API_KEY" \
#     --val-dir "/workspace/data/val" \
#     --syn-data-path "$SYN_PATH$EXP_NAME" \
#     --exp-name "$VAL_NAME" \
#     --subset "imagenet-1k" \
#     --arch-name "resnet18" \
#     --use-rand-augment \
#     --rand-augment-config "$RAND_AUG" \
#     --random-erasing-p 0.0 \
#     --factor 2 \
#     --num-crop 5 \
#     --min-scale-crops 0.25 \
#     --max-scale-crops 1.0 \
#     --mipc 300 \
#     --ipc $((IPC)) \
#     --val-ipc 50 \
#     --stud-name "resnet18" \
#     --re-epochs 300 \
#     --validate \
#     --gpu-device $((GPU)) \
#     --seed $((SEED))

# # =========================================================================================

# IPC=1
# EXP_NAME="IPC$((IPC))_4K_medium"

# echo "$EXP_NAME"
# SEED=3407


# # VAL_NAME="$RAND_AUG"
# VAL_NAME="IPC$((IPC)) 4K Medium R18 S$((SEED))"

# wandb enabled
# wandb online
# python /workspace/DELT/evaluation/main.py \
#     --wandb-project "$PROJECT_NAME" \
#     --wandb-api-key "$WANDB_API_KEY" \
#     --val-dir "/workspace/data/val" \
#     --syn-data-path "$SYN_PATH$EXP_NAME" \
#     --exp-name "$VAL_NAME" \
#     --subset "imagenet-1k" \
#     --arch-name "resnet18" \
#     --use-rand-augment \
#     --rand-augment-config "$RAND_AUG" \
#     --random-erasing-p 0.0 \
#     --factor 2 \
#     --num-crop 5 \
#     --min-scale-crops 0.25 \
#     --max-scale-crops 1.0 \
#     --mipc 300 \
#     --ipc $((IPC)) \
#     --val-ipc 50 \
#     --stud-name "resnet18" \
#     --re-epochs 300 \
#     --validate \
#     --gpu-device $((GPU)) \
#     --seed $((SEED))

# # =========================================================================================


# SEED=4663
# VAL_NAME="IPC$((IPC)) 4K Medium R18 S$((SEED))"

# wandb enabled
# wandb online
# python /workspace/DELT/evaluation/main.py \
#     --wandb-project "$PROJECT_NAME" \
#     --wandb-api-key "$WANDB_API_KEY" \
#     --val-dir "/workspace/data/val" \
#     --syn-data-path "$SYN_PATH$EXP_NAME" \
#     --exp-name "$VAL_NAME" \
#     --subset "imagenet-1k" \
#     --arch-name "resnet18" \
#     --use-rand-augment \
#     --rand-augment-config "$RAND_AUG" \
#     --random-erasing-p 0.0 \
#     --factor 2 \
#     --num-crop 5 \
#     --min-scale-crops 0.25 \
#     --max-scale-crops 1.0 \
#     --mipc 300 \
#     --ipc $((IPC)) \
#     --val-ipc 50 \
#     --stud-name "resnet18" \
#     --re-epochs 300 \
#     --validate \
#     --gpu-device $((GPU)) \
#     --seed $((SEED))

# # =========================================================================================

# SEED=2897
# VAL_NAME="IPC$((IPC)) 4K Medium R18 S$((SEED))"

# wandb enabled
# wandb online
# python /workspace/DELT/evaluation/main.py \
#     --wandb-project "$PROJECT_NAME" \
#     --wandb-api-key "$WANDB_API_KEY" \
#     --val-dir "/workspace/data/val" \
#     --syn-data-path "$SYN_PATH$EXP_NAME" \
#     --exp-name "$VAL_NAME" \
#     --subset "imagenet-1k" \
#     --arch-name "resnet18" \
#     --use-rand-augment \
#     --rand-augment-config "$RAND_AUG" \
#     --random-erasing-p 0.0 \
#     --factor 2 \
#     --num-crop 5 \
#     --min-scale-crops 0.25 \
#     --max-scale-crops 1.0 \
#     --mipc 300 \
#     --ipc $((IPC)) \
#     --val-ipc 50 \
#     --stud-name "resnet18" \
#     --re-epochs 300 \
#     --validate \
#     --gpu-device $((GPU)) \
#     --seed $((SEED))

# # =========================================================================================

# IPC=1
# EXP_NAME="IPC$((IPC))_3K_medium"

# echo "$EXP_NAME"
# SEED=3407


# # VAL_NAME="$RAND_AUG"
# VAL_NAME="IPC$((IPC)) 3K Medium R18 S$((SEED))"

# wandb enabled
# wandb online
# python /workspace/DELT/evaluation/main.py \
#     --wandb-project "$PROJECT_NAME" \
#     --wandb-api-key "$WANDB_API_KEY" \
#     --val-dir "/workspace/data/val" \
#     --syn-data-path "$SYN_PATH$EXP_NAME" \
#     --exp-name "$VAL_NAME" \
#     --subset "imagenet-1k" \
#     --arch-name "resnet18" \
#     --use-rand-augment \
#     --rand-augment-config "$RAND_AUG" \
#     --random-erasing-p 0.0 \
#     --factor 2 \
#     --num-crop 5 \
#     --min-scale-crops 0.25 \
#     --max-scale-crops 1.0 \
#     --mipc 300 \
#     --ipc $((IPC)) \
#     --val-ipc 50 \
#     --stud-name "resnet18" \
#     --re-epochs 300 \
#     --validate \
#     --gpu-device $((GPU)) \
#     --seed $((SEED))

# # =========================================================================================


# SEED=4663
# VAL_NAME="IPC$((IPC)) 3K Medium R18 S$((SEED))"

# wandb enabled
# wandb online
# python /workspace/DELT/evaluation/main.py \
#     --wandb-project "$PROJECT_NAME" \
#     --wandb-api-key "$WANDB_API_KEY" \
#     --val-dir "/workspace/data/val" \
#     --syn-data-path "$SYN_PATH$EXP_NAME" \
#     --exp-name "$VAL_NAME" \
#     --subset "imagenet-1k" \
#     --arch-name "resnet18" \
#     --use-rand-augment \
#     --rand-augment-config "$RAND_AUG" \
#     --random-erasing-p 0.0 \
#     --factor 2 \
#     --num-crop 5 \
#     --min-scale-crops 0.25 \
#     --max-scale-crops 1.0 \
#     --mipc 300 \
#     --ipc $((IPC)) \
#     --val-ipc 50 \
#     --stud-name "resnet18" \
#     --re-epochs 300 \
#     --validate \
#     --gpu-device $((GPU)) \
#     --seed $((SEED))

# # =========================================================================================

# SEED=2897
# VAL_NAME="IPC$((IPC)) 3K Medium R18 S$((SEED))"

# wandb enabled
# wandb online
# python /workspace/DELT/evaluation/main.py \
#     --wandb-project "$PROJECT_NAME" \
#     --wandb-api-key "$WANDB_API_KEY" \
#     --val-dir "/workspace/data/val" \
#     --syn-data-path "$SYN_PATH$EXP_NAME" \
#     --exp-name "$VAL_NAME" \
#     --subset "imagenet-1k" \
#     --arch-name "resnet18" \
#     --use-rand-augment \
#     --rand-augment-config "$RAND_AUG" \
#     --random-erasing-p 0.0 \
#     --factor 2 \
#     --num-crop 5 \
#     --min-scale-crops 0.25 \
#     --max-scale-crops 1.0 \
#     --mipc 300 \
#     --ipc $((IPC)) \
#     --val-ipc 50 \
#     --stud-name "resnet18" \
#     --re-epochs 300 \
#     --validate \
#     --gpu-device $((GPU)) \
#     --seed $((SEED))

# # =========================================================================================

# IPC=1
# EXP_NAME="IPC$((IPC))_2K_medium"

# echo "$EXP_NAME"
# SEED=3407


# # VAL_NAME="$RAND_AUG"
# VAL_NAME="IPC$((IPC)) 2K Medium R18 S$((SEED))"

# wandb enabled
# wandb online
# python /workspace/DELT/evaluation/main.py \
#     --wandb-project "$PROJECT_NAME" \
#     --wandb-api-key "$WANDB_API_KEY" \
#     --val-dir "/workspace/data/val" \
#     --syn-data-path "$SYN_PATH$EXP_NAME" \
#     --exp-name "$VAL_NAME" \
#     --subset "imagenet-1k" \
#     --arch-name "resnet18" \
#     --use-rand-augment \
#     --rand-augment-config "$RAND_AUG" \
#     --random-erasing-p 0.0 \
#     --factor 2 \
#     --num-crop 5 \
#     --min-scale-crops 0.25 \
#     --max-scale-crops 1.0 \
#     --mipc 300 \
#     --ipc $((IPC)) \
#     --val-ipc 50 \
#     --stud-name "resnet18" \
#     --re-epochs 300 \
#     --validate \
#     --gpu-device $((GPU)) \
#     --seed $((SEED))

# # =========================================================================================


# SEED=4663
# VAL_NAME="IPC$((IPC)) 2K Medium R18 S$((SEED))"

# wandb enabled
# wandb online
# python /workspace/DELT/evaluation/main.py \
#     --wandb-project "$PROJECT_NAME" \
#     --wandb-api-key "$WANDB_API_KEY" \
#     --val-dir "/workspace/data/val" \
#     --syn-data-path "$SYN_PATH$EXP_NAME" \
#     --exp-name "$VAL_NAME" \
#     --subset "imagenet-1k" \
#     --arch-name "resnet18" \
#     --use-rand-augment \
#     --rand-augment-config "$RAND_AUG" \
#     --random-erasing-p 0.0 \
#     --factor 2 \
#     --num-crop 5 \
#     --min-scale-crops 0.25 \
#     --max-scale-crops 1.0 \
#     --mipc 300 \
#     --ipc $((IPC)) \
#     --val-ipc 50 \
#     --stud-name "resnet18" \
#     --re-epochs 300 \
#     --validate \
#     --gpu-device $((GPU)) \
#     --seed $((SEED))

# # =========================================================================================

# SEED=2897
# VAL_NAME="IPC$((IPC)) 2K Medium R18 S$((SEED))"

# wandb enabled
# wandb online
# python /workspace/DELT/evaluation/main.py \
#     --wandb-project "$PROJECT_NAME" \
#     --wandb-api-key "$WANDB_API_KEY" \
#     --val-dir "/workspace/data/val" \
#     --syn-data-path "$SYN_PATH$EXP_NAME" \
#     --exp-name "$VAL_NAME" \
#     --subset "imagenet-1k" \
#     --arch-name "resnet18" \
#     --use-rand-augment \
#     --rand-augment-config "$RAND_AUG" \
#     --random-erasing-p 0.0 \
#     --factor 2 \
#     --num-crop 5 \
#     --min-scale-crops 0.25 \
#     --max-scale-crops 1.0 \
#     --mipc 300 \
#     --ipc $((IPC)) \
#     --val-ipc 50 \
#     --stud-name "resnet18" \
#     --re-epochs 300 \
#     --validate \
#     --gpu-device $((GPU)) \
#     --seed $((SEED))

# # =========================================================================================

# IPC=1
# EXP_NAME="IPC$((IPC))_1K_medium"

# echo "$EXP_NAME"
# SEED=3407


# # VAL_NAME="$RAND_AUG"
# VAL_NAME="IPC$((IPC)) 1K Medium R18 S$((SEED))"

# wandb enabled
# wandb online
# python /workspace/DELT/evaluation/main.py \
#     --wandb-project "$PROJECT_NAME" \
#     --wandb-api-key "$WANDB_API_KEY" \
#     --val-dir "/workspace/data/val" \
#     --syn-data-path "$SYN_PATH$EXP_NAME" \
#     --exp-name "$VAL_NAME" \
#     --subset "imagenet-1k" \
#     --arch-name "resnet18" \
#     --use-rand-augment \
#     --rand-augment-config "$RAND_AUG" \
#     --random-erasing-p 0.0 \
#     --factor 2 \
#     --num-crop 5 \
#     --min-scale-crops 0.25 \
#     --max-scale-crops 1.0 \
#     --mipc 300 \
#     --ipc $((IPC)) \
#     --val-ipc 50 \
#     --stud-name "resnet18" \
#     --re-epochs 300 \
#     --validate \
#     --gpu-device $((GPU)) \
#     --seed $((SEED))

# # =========================================================================================


# SEED=4663
# VAL_NAME="IPC$((IPC)) 1K Medium R18 S$((SEED))"

# wandb enabled
# wandb online
# python /workspace/DELT/evaluation/main.py \
#     --wandb-project "$PROJECT_NAME" \
#     --wandb-api-key "$WANDB_API_KEY" \
#     --val-dir "/workspace/data/val" \
#     --syn-data-path "$SYN_PATH$EXP_NAME" \
#     --exp-name "$VAL_NAME" \
#     --subset "imagenet-1k" \
#     --arch-name "resnet18" \
#     --use-rand-augment \
#     --rand-augment-config "$RAND_AUG" \
#     --random-erasing-p 0.0 \
#     --factor 2 \
#     --num-crop 5 \
#     --min-scale-crops 0.25 \
#     --max-scale-crops 1.0 \
#     --mipc 300 \
#     --ipc $((IPC)) \
#     --val-ipc 50 \
#     --stud-name "resnet18" \
#     --re-epochs 300 \
#     --validate \
#     --gpu-device $((GPU)) \
#     --seed $((SEED))

# # =========================================================================================

# SEED=2897
# VAL_NAME="IPC$((IPC)) 1K Medium R18 S$((SEED))"

# wandb enabled
# wandb online
# python /workspace/DELT/evaluation/main.py \
#     --wandb-project "$PROJECT_NAME" \
#     --wandb-api-key "$WANDB_API_KEY" \
#     --val-dir "/workspace/data/val" \
#     --syn-data-path "$SYN_PATH$EXP_NAME" \
#     --exp-name "$VAL_NAME" \
#     --subset "imagenet-1k" \
#     --arch-name "resnet18" \
#     --use-rand-augment \
#     --rand-augment-config "$RAND_AUG" \
#     --random-erasing-p 0.0 \
#     --factor 2 \
#     --num-crop 5 \
#     --min-scale-crops 0.25 \
#     --max-scale-crops 1.0 \
#     --mipc 300 \
#     --ipc $((IPC)) \
#     --val-ipc 50 \
#     --stud-name "resnet18" \
#     --re-epochs 300 \
#     --validate \
#     --gpu-device $((GPU)) \
#     --seed $((SEED))

# # =========================================================================================
